public class Texto
{
    //----------------------------------------------------------------------------------------------
    //---- Atributos de clase ----------------------------------------------------------------------
    //----------------------------------------------------------------------------------------------
    
    private static final int maxFilas = 40;
    private static final int maxCol = 50;

    //----------------------------------------------------------------------------------------------
    //---- Atributos de instancia ------------------------------------------------------------------
    //----------------------------------------------------------------------------------------------
    
    private char[][] tex;

    //----------------------------------------------------------------------------------------------
    //---- Constructor -----------------------------------------------------------------------------
    //----------------------------------------------------------------------------------------------
    
    public Texto(String s)
    {
        /**
         * @ToDo: implementar
         */
    }

    //----------------------------------------------------------------------------------------------
    //---- Consultas -------------------------------------------------------------------------------
    //----------------------------------------------------------------------------------------------
    
    public char caracterEnPosicion(int i, int j)
    {
        return tex[i][j];
    }
    
    public String toString()
    {
        int i = 0;
        int j;
        String salida = "";
        boolean finalTexto = false;
        while ((i < maxFilas) && (!finalTexto)) {
            j = 0;
            while ((j < maxCol) && (!finalTexto)) {
                salida += tex[i][j];
                if (tex[i][j] == '.') {
                    finalTexto = true;
                }
                if ((tex[i][j] == ' ') && (j < maxCol - 1) && (tex[i][j+1] == ' ')){
                    // Hay más de un blanco, por lo tanto no hay más palabras en esa línea
                    j = maxCol;
                } else {
                    j++;
                }
            }
            i++;
        }
        return salida;
    }
}
